com.gisgraphy.importer

## Enum MunicipalityDetector.MunicipalityOSMDetectionStrategy

- java.lang.Object
- - java.lang.Enum<MunicipalityDetector.MunicipalityOSMDetectionStrategy>
  - - com.gisgraphy.importer.MunicipalityDetector.MunicipalityOSMDetectionStrategy

- All Implemented Interfaces:
    Serializable, Comparable<MunicipalityDetector.MunicipalityOSMDetectionStrategy>
  Enclosing class:
    MunicipalityDetector

      public static enum MunicipalityDetector.MunicipalityOSMDetectionStrategy
      extends Enum<MunicipalityDetector.MunicipalityOSMDetectionStrategy>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL`
    `N`
    `N_CITY_TOWN`
    `N_CITY_VILLAGE_TOWN`
    `OSM`
    `R`
    `R_AND_N_CITY_VILLAGE_TOWN`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MunicipalityDetector.MunicipalityOSMDetectionStrategy` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MunicipalityDetector.MunicipalityOSMDetectionStrategy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALL

          public static final MunicipalityDetector.MunicipalityOSMDetectionStrategy ALL

    - #### OSM

          public static final MunicipalityDetector.MunicipalityOSMDetectionStrategy OSM

    - #### R

          public static final MunicipalityDetector.MunicipalityOSMDetectionStrategy R

    - #### R_AND_N_CITY_VILLAGE_TOWN

          public static final MunicipalityDetector.MunicipalityOSMDetectionStrategy R_AND_N_CITY_VILLAGE_TOWN

    - #### N

          public static final MunicipalityDetector.MunicipalityOSMDetectionStrategy N

    - #### N_CITY_VILLAGE_TOWN

          public static final MunicipalityDetector.MunicipalityOSMDetectionStrategy N_CITY_VILLAGE_TOWN

    - #### N_CITY_TOWN

          public static final MunicipalityDetector.MunicipalityOSMDetectionStrategy N_CITY_TOWN

  - ### Method Detail

    - #### values

          public static MunicipalityDetector.MunicipalityOSMDetectionStrategy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MunicipalityDetector.MunicipalityOSMDetectionStrategy c : MunicipalityDetector.MunicipalityOSMDetectionStrategy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MunicipalityDetector.MunicipalityOSMDetectionStrategy valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015. All rights reserved.